summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2017-04-23 13:03:47 +0200
committerAlexis Ballier <aballier@gentoo.org>2017-04-23 13:10:56 +0200
commit3a19bd5b2688ea1a6fd4598de414e6fb4af979ff (patch)
tree74022f2c3b45bfb97fcffc986a4f32e0d4cf8b9c
parentmedia-sound/abcm2ps: bump to 8.13.9 (diff)
downloadgentoo-3a19bd5b2688ea1a6fd4598de414e6fb4af979ff.tar.gz
gentoo-3a19bd5b2688ea1a6fd4598de414e6fb4af979ff.tar.bz2
gentoo-3a19bd5b2688ea1a6fd4598de414e6fb4af979ff.zip
media-sound/mpdas: bump to 0.4.2 and use verbose build.
Package-Manager: Portage-2.3.5, Repoman-2.3.2
-rw-r--r--media-sound/mpdas/Manifest1
-rw-r--r--media-sound/mpdas/mpdas-0.4.2.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/media-sound/mpdas/Manifest b/media-sound/mpdas/Manifest
index 2b8fd7ef41f..5bec817b5b8 100644
--- a/media-sound/mpdas/Manifest
+++ b/media-sound/mpdas/Manifest
@@ -1,2 +1,3 @@
DIST mpdas-0.4.0.tar.gz 15113 SHA256 7b30a9cde19175bddb6b898a78d225242330dbceaca4932f87c5a016141af650 SHA512 0e5643cc2c690b05477b64e8f1761332d53e17809d61ec5ec17ab41f4f0b7b2d6b4013d3b946d3289f02f470b4afef1df8206bd0fab61345cd8431bb2c66742f WHIRLPOOL ca4c13d6d6d75d64d5b43571c22968924510f7302c2bc44264c923dedfcbe010241684262b4befdbc6689fbb17b72aff7ea2a47115664c2e9f0388070d1a27ae
DIST mpdas-0.4.1.tar.gz 15117 SHA256 f790be8e85c0d1324d7346b5b0fa3713db8db7fd4ea304c5c8d2921bf3855014 SHA512 746ca106f76cbd24fc8460b9c2a7debcb5faf49e65e5307adb1bdf530dab8f99b2e0118ce1324e5bf2af1d08465c3a6f015675dcfb7d1b6d799e228e8ecffd64 WHIRLPOOL c7323f061e976d4a4cc9989f3d643fa1e60fa41cf576723a28d8d7e0f3d5745f97f3da982b8a97ccde7aa64c08c047276b37a2630adf91429178a4f3ff65e418
+DIST mpdas-0.4.2.tar.gz 15695 SHA256 8ebdd0518cbdb033fc0578c9ea894d4670de1d67bf2541418cb5f7ac1210db6f SHA512 cebd3c027002ac5283834edf3a1338b449c4a78261690cb5d25c57f767f1b0b81ff8ca5c64d79d6aecf5e86ba0c7b63a51131f6cc9031f2922e92eeddcada353 WHIRLPOOL 666dadad91961f1d1c205e1f3581570d2aad642ca3a11d0d55d02a4f634254df6c7f7fef266e75557b40b49f70e0ee3b3f7a0a9cb621d54dca9b2c3bb9bc3db6
diff --git a/media-sound/mpdas/mpdas-0.4.2.ebuild b/media-sound/mpdas/mpdas-0.4.2.ebuild
new file mode 100644
index 00000000000..65382e379dd
--- /dev/null
+++ b/media-sound/mpdas/mpdas-0.4.2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+inherit toolchain-funcs
+
+DESCRIPTION="An AudioScrobbler client for MPD written in C++"
+HOMEPAGE="http://50hz.ws/mpdas/"
+SRC_URI="http://50hz.ws/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="media-libs/libmpdclient
+ net-misc/curl"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ sed -i -e 's/@//' Makefile || die
+ default
+}
+
+src_compile() {
+ tc-export CXX
+ emake CONFIG="/etc"
+}
+
+src_install() {
+ dobin ${PN}
+ doman ${PN}.1
+ newinitd "${FILESDIR}/${PN}.init" ${PN}
+ dodoc mpdasrc.example README
+}
+
+pkg_postinst() {
+ elog "For further configuration help consult the README in"
+ elog "${EPREFIX}/usr/share/doc/${PF}"
+}